Get by postcode
GET /locations/postcode/{postCode}
GET
/locations/postcode/{postCode}
Returns all suburbs associated with a given Australian postcode.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” postCode
required
string
Example
2000Australian postcode (4 digits)
Responses
Section titled “ Responses ”Locations for the given postcode
object
locations
Array<object>
object
id
Unique location identifier
integer
Example
12345 postcode
Australian postcode (4 digits)
string
Example
2000 locality
Suburb or locality name (uppercase)
string
Example
SYDNEY state
Australian state or territory abbreviation
string
Example
NSW priority
Priority ranking for search result ordering
integer
Example
1Example
{ "locations": [ { "id": 12345, "postcode": "2000", "locality": "SYDNEY", "state": "NSW", "priority": 1 }, { "id": 12346, "postcode": "2000", "locality": "HAYMARKET", "state": "NSW", "priority": 1 }, { "id": 12347, "postcode": "2000", "locality": "THE ROCKS", "state": "NSW", "priority": 1 } ]}Postcode not found
object
error
Error code or type
string
Example
validation_error message
Human-readable error message
string
Example
The sender postcode field is required.